(function() {

    var iid
        , counter = 0
        , $ = jQuery.noConflict();

    var $profileLink = $("#myprofile");
    if ($profileLink.size()>0) {
        var href = $profileLink.attr("href").substring(1);
        self.port.emit("vk_login", {login: href});
    }

    iid = setInterval(function () {
        if (counter > 60) {
            clearInterval(iid);
            return;
        }
        var albums = $("#side_bar a[href^='/albums']").attr("href");
        if (albums) {
            clearInterval(iid);
            var id = albums.substring(7);
            self.port.emit("vk_id", {id: id});
        }
        counter++;
    }, 500);

    var $profile = $("#profile_full_info");
    if ($profile.size()>0) {

        var profile = {}

        var city = $profile.find("div:contains('Город') + div a").html();
        if (city) {
            profile.city = city;
        }

        var interests = [];
        $profile.find("div:contains('Интересы')").next().find("a[href^='/search']").each(function() {
            interests.push($(this).html());
        });

        if (interests.length>0) {
            profile.interests = interests;
        }

        self.port.emit("vk_profile", {profile: profile});
    }


})();

