var { Class } = require('sdk/core/heritage');


let ObjectRef = Class({

    ref : null,

    initialize : function(obj) {
        this.assign(obj);
    },


    emit: function(context, command) {
        if (this.assigned() && this.getRef().port) {
            this.getRef().port.emit(context, command)
        }
    },

    assign : function(obj) {
        this.ref = obj;
    },

    assigned : function() {
        return this.getRef()!=null;
    },

    getRef : function() {
        return this.ref;
    }


});


exports.ObjectRef = ObjectRef;

