const text = encodeURIComponent('Размещено при помощи uptolike.ru ');
var SERVICES = {
    'vk': { link: 'http://vk.com/share.php?url=%link%', title: 'Вконтакте', shareSuccess: 'http://vk.com/share.php', popup: true, width: 480, height: 360 },
    'fb': { link: 'http://www.facebook.com/sharer/sharer.php?src=shara&u=%link%', shareSuccess: 'https://www.facebook.com/ajax/sharer/submit_page/', title: 'Facebook', popup: true, width: 480, height: 360},
    'tw': { link: 'http://twitter.com/intent/tweet?text=' + text + "%link%" , shareSuccess: 'https://twitter.com/intent/tweet/complete*', title: 'Twitter', popup: true, width: 480, height: 500},
    'ok': { link: 'http://www.odnoklassniki.ru/dk?st.cmd=addShare&st._surl=%link%', title: 'Одноклассники', shareSuccess: 'http://www.odnoklassniki.ru/dk?st.cmd=addShareConfirm', popup: true, width: 1024, height: 600},
    'ml': { link: 'http://connect.mail.ru/share?url=%link%', shareSuccess: 'http://connect.mail.ru/share?success=1', title: 'Mail.ru', popup: true},
    'tr': { link: 'http://www.tumblr.com/share?v=3&u=%link%&t=&s=', title: 'Tumblr', shareSuccess: 'http://www.tumblr.com/share_confirmation', popup: true},
    'gp': { link: 'http://plus.google.com/share?url=%link%', shareSuccess: 'https://plus.google.com/_/sharebox/post/*', title: 'Google+', popup: true, width: 600, height: 600},
    'dg': { link: 'http://digg.com/submit?url=%link%&title=&bodytext=', title: 'Digg', shareSuccess: 'http://digg.com/api/digg/submiturl.json', popup: false},
    'ev': { link: 'http://www.evernote.com/clip.action?url=%link%&title=&body=', shareSuccess: 'https://www.evernote.com/Home.action', title: 'Evernote', popup: false},
    'sb': { link: 'http://surfingbird.ru/share?url=%link%&title=', title: 'Surfingbird', shareSuccess: 'http://surfingbird.ru/share', popup: true},
    'lj': { link: 'http://www.livejournal.com/update.bml?subject=%title%&event=%link%', title: 'LiveJournal', shareSuccess: 'http://*.livejournal.com/*.html', popup: false},
    'ms': { link: 'http://www.myspace.com/post?u=%link%', title: 'MySpace', shareSuccess: 'https://myspace.com/ajax/stream/superpost', popup: false},
    'ip': { link: 'http://www.instapaper.com/edit?url=%link%&title=&summary=', title: 'Instapaper', shareSuccess: 'http://www.instapaper.com/u', popup: false},
    'dl': { link: 'http://www.delicious.com/save?url=%link%&title=&notes=&v=6&noui=1&jump=doclose', shareSuccess: 'https://avosapi.delicious.com/api/v1/posts/addoredit', title: 'Delicious', popup: true},
    'li': { link: 'http://www.liveinternet.ru/journal_post.php?action=l_add&cnurl=%link%', title: 'LiveInternet', shareSuccess: 'http://www.liveinternet.ru/journal_addpost.php', popup: false},
    'su': { link: 'http://www.stumbleupon.com/submit?url=%link%&title=', title: 'StumbleUpon', shareSuccess: '*://www.stumbleupon.com/submit', popup: false},
    'ya': { link: 'http://my.ya.ru/posts_share_link.xml?url=%link%&title=&body=', shareSuccess: 'http://mc.yandex.ru/clmap*', title: 'Я.ру', popup: true},
    'bd': { link: 'http://bobrdobr.ru/addext.html?url=%link%&title=&desc=', title: 'БобрДобр', shareSuccess: 'http://bobrdobr.ru/addext.html*', popup: false},
    'sp': { link: 'http://springpad.com/clip.action?url=%link%&title=', title: 'Springpad', shareSuccess: 'http://springpad.com/api/users/me/blocks?return=blocks', popup: true},
    'bl': { link: 'http://www.blogger.com/blog-this.g?u=%link%&n=%title%', title: 'Blogger', shareSuccess: 'https://www.blogger.com/blog-this-done.g*', popup: true},
    'pi': { link: function() { instance.load_script('http://assets.pinterest.com/js/pinmarklet.js?r=' + Math.random() * 99999999, "pinterest", true); } , title: 'Pinterest', popup: false},
    'pm': { link: function() { instance.load_script('http://st.pinme.ru/js/pinbutton.js?r=' + Math.random() * 99999999, "pinterest", true); }, title: 'Pinme', popup: false},
    're': { link: function() { instance.load_script('http://www.readability.com/bookmarklet/save.js?r=' + Math.random() * 99999999, "pinterest", true); } , title: 'Readability', popup: false},
    'em': {
        link: function(){
            var link = "mailto:?Subject="+document.title+"&body="+document.location.href+"%0A";
            window.open(link, 'mailto');
        },
        title: 'Send email'
    },
    'pr': {
        link: function() { window.print(); },
        title: 'Печать'
    },
    'bm': {
        link: function() {
            var url = document.location.href;
            if ((typeof window.sidebar == "object") && (typeof window.sidebar.addPanel == "function")) window.sidebar.addPanel (document.title, url, "");
            else if (typeof window.external == "object") window.external.AddFavorite(url, title);
        },
        title: 'В закладки'
    }
};

var share = {

    init: function(platformAdapter) {


        $(".share-btn").click(function() {
            var $this = $(this);
            var id = $this.attr("id");
            var params = SERVICES[id];

            if (!params) {
                log("Error: no data for id="+id);
                return;
            }
            var url = params.link;
            var shareSuccess = params.shareSuccess;

            var w = params.width ? params.width : 600;
            var h = params.height ? params.height : 600;

            platformAdapter.requestCurrentUrl(function (currentUrl, tabInfo) {

                if (id === 'lj') {
                    url = url.replace("%link%", encodeURIComponent('<a href="' + currentUrl + '" >' + tabInfo.title + '</a>'));
                    url = url.replace('%title%', encodeURIComponent(tabInfo.title));
                } else if (id === 'bl') {
                    url = url.replace("%link%", encodeURIComponent(currentUrl));
                    url = url.replace('%title%', encodeURIComponent(tabInfo.title));
                } else {
                    url = url.replace("%link%", encodeURIComponent(currentUrl));
                }
                
                platformAdapter.openWindow({
                    url: url,
                    width: w,
                    height: h

                // wid only for Google Chrome
                }, function (wid) {

                    var params2
                        , date = new Date();

                    function pad2 (val) {
                        return ("0" + val).slice(-2)
                    }

                    date = pad2(date.getDate()) + '/' + pad2(date.getMonth() + 1) + '/' +
                        pad2(date.getFullYear()) + ' ' + pad2(date.getHours()) + ':' +
                        pad2(date.getMinutes()) + ':' + pad2(date.getSeconds());

                    params2 = {
                        context: 'vk_player'
                        , action: 'share_window_opened'
                        , data: {
                            type: 'post status'
                            , data: {
                                tabInfo: [
                                    tabInfo.favIconUrl
                                    , tabInfo.title
                                    , currentUrl
                                    , id
                                    , date
                                ]
                                , shareSuccess: shareSuccess
                            }
                            , id: wid
                        }
                    };

                    platformAdapter.sendMessage(params2);

                });
            });

        });


        $("#mail").click(function(){


            platformAdapter.requestCurrentUrl(function(currentUrl, payload) {

                var url = 'mailto:?';
                url += 'subject='      + encodeURIComponent(text);
                url += '&body='        + encodeURIComponent(currentUrl);

                platformAdapter.goto(url, payload);
            })

        });
        $("#print").click(function(){

            platformAdapter.requestCurrentUrl(function(currentUrl, payload) {

                platformAdapter.goto("javascript:window.print();", payload);
            })

        });

        log("Initialized shares")

    }

}
